Skip to main content
Worker Hashrate History

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
account
string
required

Mining pool account name

Maximum string length: 255
Example:

"my_miner_01"

worker
string
required

Worker name

Maximum string length: 255
Example:

"worker_001"

interval
enum<string>
default:1h

Time frame granularity

Available options:
5m,
1h,
24h
Example:

"1h"

from
integer

Start timestamp in Unix seconds. Must be <= now

Example:

1709290000

to
integer

End timestamp in Unix seconds. Must be <= now

Example:

1709340000

Response

Successful response

data
object